Name:		file-browser-applet
Version:	0.6.5
Release:	1%{?dist}
Summary:	File Browser Applet for the GNOME Panel
Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://code.google.com/p/gnome-menu-file-browser-applet/
Source0:	http://gnome-menu-file-browser-applet.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	cmake >= 2.4.7
BuildRequires:	libglade2-devel
BuildRequires:	gnome-panel-devel
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
File Browser Applet is an applet for the GNOME Panel. It lets you browse
and open files in your home directory from the gnome panel, without having to
open a file manager. It is _not_ intended as replacement to proper file
managers like nautilus. Sometimes you (like me) just want to open a file and
don't want to have to open a file manager, browse to and open the file, then
close the file manager. This Applet just saves you couple of clicks.

%prep
%setup -q

%build
mkdir fedora
cd fedora
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"
cmake	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INSTALL_LIB_PREFIX=%{_libdir}		\
	-DCMAKE_INSTALL_LIB_EXEC_DIR=%{_libexecdir}	\
	-DCMAKE_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas ..
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}
cd fedora
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/file-browser-applet.schemas >/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/file-browser-applet.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/file-browser-applet.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%{_libdir}/bonobo/servers/GNOME_FileBrowserApplet_Factory.server
%{_libexecdir}/file-browser-applet
%{_datadir}/file-browser-applet/
%{_datadir}/icons/hicolor/128x128/apps/file-browser-applet.png
%{_datadir}/pixmaps/file-browser-applet.png
%{_sysconfdir}/gconf/schemas/file-browser-applet.schemas

%changelog
* Fri Jan 29 2010 Deji Akingunola <dakingun@gmail.com> - 0.6.5-1
- Update to 0.6.5

* Mon Aug 10 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.4-1
- New upstream version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.2-1
- Update to 0.6.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.1-1
- Update to 0.6.1

* Wed Feb 04 2009 Deji Akingunola <dakingun@gmail.com> - 0.6.0-2
- Include missing header

* Thu Nov 20 2008 Deji Akingunola <dakingun@gmail.com> - 0.6.0-1
- New upstream version

* Mon Sep 22 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.9-1
- New upstream version

* Sat Aug 30 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.8-1
- Update to 0.5.8

* Thu Jun 05 2008 Caolán McNamara <caolanm@redhat.com> - 0.5.6-3
- rebuild for dependancies

* Mon May 26 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.6-2
- Fixes arising from Fedora Packaging review (#446160)

* Wed Mar 19 2008 Deji Akingunola <dakingun@gmail.com> - 0.5.6-1
- Initial packaging for Fedora
